#ifndef TILE_HPP_
#define TILE_HPP_

#include <iostream>


// aid == operation for float numbers
#define DELTA 0.0001

// #define EASY 1
// #define HARD 2

#define NORTH 0
#define SOUTH 1
#define EAST 2
#define WEST 3
#define SOURCE 4  // Local processing element data source
#define SINK 5 // Local processing element data sink

typedef struct Position {
  int row;
  int col;
} *pPosition, Position;

typedef struct Position3D {
  Position pos;
  int dir;           // North, south, east ...
} *pPosition3D, Position3D;


#endif //TILE_HPP_







